import {StyleSheet} from 'react-native';

const borderWidthStyle = StyleSheet.create({
  'border-0': {borderWidth: 0},
  'border-t-0': {borderTopWidth: 0},
  'border-l-0': {borderLeftWidth: 0},
  'border-b-0': {borderBottomWidth: 0},
  'border-r-0': {borderRightWidth: 0},
  'border-x-0': {borderLeftWidth: 0, borderRightWidth: 0},
  'border-y-0': {borderTopWidth: 0, borderBottomWidth: 0},
  border: {borderWidth: 1},
  'border-t': {borderTopWidth: 1},
  'border-l': {borderLeftWidth: 1},
  'border-b': {borderBottomWidth: 1},
  'border-r': {borderRightWidth: 1},
  'border-x': {borderLeftWidth: 1, borderRightWidth: 1},
  'border-y': {borderTopWidth: 1, borderBottomWidth: 1},
  'border-2': {borderWidth: 2},
  'border-t-2': {borderTopWidth: 2},
  'border-l-2': {borderLeftWidth: 2},
  'border-b-2': {borderBottomWidth: 2},
  'border-r-2': {borderRightWidth: 2},
  'border-x-2': {borderLeftWidth: 2, borderRightWidth: 2},
  'border-y-2': {borderTopWidth: 2, borderBottomWidth: 2},
  'border-3': {borderWidth: 3},
  'border-t-3': {borderTopWidth: 3},
  'border-l-3': {borderLeftWidth: 3},
  'border-b-3': {borderBottomWidth: 3},
  'border-r-3': {borderRightWidth: 3},
  'border-x-3': {borderLeftWidth: 3, borderRightWidth: 3},
  'border-y-3': {borderTopWidth: 3, borderBottomWidth: 3},
  'border-4': {borderWidth: 4},
  'border-t-4': {borderTopWidth: 4},
  'border-l-4': {borderLeftWidth: 4},
  'border-b-4': {borderBottomWidth: 4},
  'border-r-4': {borderRightWidth: 4},
  'border-x-4': {borderLeftWidth: 4, borderRightWidth: 4},
  'border-y-4': {borderTopWidth: 4, borderBottomWidth: 4},
  'border-5': {borderWidth: 5},
  'border-t-5': {borderTopWidth: 5},
  'border-l-5': {borderLeftWidth: 5},
  'border-b-5': {borderBottomWidth: 5},
  'border-r-5': {borderRightWidth: 5},
  'border-x-5': {borderLeftWidth: 5, borderRightWidth: 5},
  'border-y-5': {borderTopWidth: 5, borderBottomWidth: 5},
  'border-6': {borderWidth: 6},
  'border-t-6': {borderTopWidth: 6},
  'border-l-6': {borderLeftWidth: 6},
  'border-b-6': {borderBottomWidth: 6},
  'border-r-6': {borderRightWidth: 6},
  'border-x-6': {borderLeftWidth: 6, borderRightWidth: 6},
  'border-y-6': {borderTopWidth: 6, borderBottomWidth: 6},
  'border-8': {borderWidth: 8},
  'border-t-8': {borderTopWidth: 8},
  'border-l-8': {borderLeftWidth: 8},
  'border-b-8': {borderBottomWidth: 8},
  'border-r-8': {borderRightWidth: 8},
  'border-x-8': {borderLeftWidth: 8, borderRightWidth: 8},
  'border-y-8': {borderTopWidth: 8, borderBottomWidth: 8},
});

const shadow = StyleSheet.create({
  shadow: {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 1,
    },
    shadowOpacity: 0.18,
    shadowRadius: 1.0,

    elevation: 1,
  },
  'shadow-2': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 1,
    },
    shadowOpacity: 0.2,
    shadowRadius: 1.41,

    elevation: 2,
  },
  'shadow-3': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 1,
    },
    shadowOpacity: 0.22,
    shadowRadius: 2.22,
    elevation: 3,
  },
  'shadow-4': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 2,
    },
    shadowOpacity: 0.23,
    shadowRadius: 2.62,
    elevation: 4,
  },
  'shadow-5': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 2,
    },
    shadowOpacity: 0.25,
    shadowRadius: 3.84,
    elevation: 5,
  },
  'shadow-6': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 3,
    },
    shadowOpacity: 0.27,
    shadowRadius: 4.65,
    elevation: 6,
  },
  'shadow-7': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 3,
    },
    shadowOpacity: 0.29,
    shadowRadius: 4.65,
    elevation: 7,
  },
  'shadow-8': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 4,
    },
    shadowOpacity: 0.3,
    shadowRadius: 4.65,
    elevation: 8,
  },
  'shadow-9': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 4,
    },
    shadowOpacity: 0.32,
    shadowRadius: 5.46,
    elevation: 9,
  },
  'shadow-10': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 5,
    },
    shadowOpacity: 0.34,
    shadowRadius: 6.27,
    elevation: 10,
  },
  'shadow-11': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 5,
    },
    shadowOpacity: 0.36,
    shadowRadius: 6.68,
    elevation: 11,
  },
  'shadow-12': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 6,
    },
    shadowOpacity: 0.37,
    shadowRadius: 7.49,
    elevation: 12,
  },
  'shadow-13': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 6,
    },
    shadowOpacity: 0.39,
    shadowRadius: 8.3,
    elevation: 13,
  },
  'shadow-14': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 7,
    },
    shadowOpacity: 0.41,
    shadowRadius: 9.11,
    elevation: 14,
  },
  'shadow-15': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 7,
    },
    shadowOpacity: 0.43,
    shadowRadius: 9.51,
    elevation: 15,
  },
  'shadow-16': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 8,
    },
    shadowOpacity: 0.44,
    shadowRadius: 10.32,
    elevation: 16,
  },
  'shadow-17': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 8,
    },
    shadowOpacity: 0.46,
    shadowRadius: 11.14,
    elevation: 17,
  },
  'shadow-18': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 9,
    },
    shadowOpacity: 0.48,
    shadowRadius: 11.95,
    elevation: 18,
  },
  'shadow-19': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 9,
    },
    shadowOpacity: 0.5,
    shadowRadius: 12.35,
    elevation: 19,
  },
  'shadow-20': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 10,
    },
    shadowOpacity: 0.51,
    shadowRadius: 13.16,
    elevation: 20,
  },
  'shadow-21': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 10,
    },
    shadowOpacity: 0.53,
    shadowRadius: 13.97,
    elevation: 21,
  },
  'shadow-22': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 11,
    },
    shadowOpacity: 0.55,
    shadowRadius: 14.78,
    elevation: 22,
  },
  'shadow-23': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 11,
    },
    shadowOpacity: 0.57,
    shadowRadius: 15.19,
    elevation: 23,
  },
  'shadow-24': {
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 12,
    },
    shadowOpacity: 0.58,
    shadowRadius: 16.0,
    elevation: 24,
  },
});

export const classBorderStyles = {
  'border-dashed': {borderStyle: 'dashed'},
  'border-dotted': {borderStyle: 'dotted'},
  'border-solid': {borderStyle: 'solid'},
  ...borderWidthStyle,
  ...shadow,
};
